0

I am totally new to Emacs (I just began some days ago) and my purpose is to use it for Latex. I tried to install package auto-complete-auctex doing this :

1) I copy file auto-complete-auctex.el to my /.emacs.d folder ;

2) In Emacs shell I did M-x load-file and then put the path to the auto-complete-auctex.el file.

3) Then I get the message

Cannot open load file: aucun fichier ou dossier de ce type, tex

It seems that the way to install package is not direct one for me, as I am so new to Emacs...

  • What do you mean exactly by "in Emacs shell"? – Drew Oct 31 '17 at 18:16
0

Have you a init.el in .emacs.d? In the .emacs.d put auto-complete-auctex.el.

Then in your init.el you need to load the file and load the package:

;; Load the file
(load auto-complete-auctex)

;; Load the package
(require 'auto-complete-auctex)

And from your init.el do M-x load-file. Otherwise restart Emacs.

See Loading from EmacsLisp.

Else you can install packages with package.el: M-x package-list-packages: Install packages.

  • Thanks for the answer. I did put the instructions you mention in my init.el file. Then when starting Emacs in --debug-init mode I got : Debugger entered--Lisp error: (void-variable auto-complete-auctex) (load auto-complete-auctex) eval-buffer(#<buffer *load*> nil "/home/yggdrasil/.emacs.d/init.el" nil t) ; Reading at buffer position 45 load-with-code-conversion("/home/yggdrasil/.emacs.d/init.el fat" "/home/yggdrasil/.emacs.d/init.el" t t) load("/home/yggdrasil/.emacs.d/init" t t) In fact, the auto-completion-auctex package is not in the list of package when I do M-x package-list-packages – Olive. M Oct 31 '17 at 19:04
  • This is not an answer. Please put this kind of additional info directly in your question (since you can edit it). – Stefan Dec 21 '19 at 15:07

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.